[role="tooltip"] {
    position: absolute;
    background: #FFFFFF;
    color: #343A40;
    font-weight: 400;
    padding: 16px;
    font-size: 14px;
    line-height: 17px;
    border-radius: 8px;
    display: block;
    z-index: 2;
    max-width: 380px;
    opacity: 0;
    visibility: hidden;
    box-shadow: 0px 4px 100px rgba(0, 0, 0, 0.24);
    transition: opacity 0.3s, visibility 0.3s, box-shadow 0.3s, z-index 0.3s;
}

[role="tooltip"][data-show] {
    visibility: visible;
    z-index: 9;
    opacity: 1;
}

.tooltip-arrow,
.tooltip-arrow::before {
    position: absolute;
    z-index: 9;
    width: 14px;
    height: 14px;
    background: inherit;
}

.tooltip-arrow {
    visibility: hidden;
}

.tooltip-arrow::before {
    visibility: visible;
    content: '';
    transform: rotate(45deg);
}

[role="tooltip"][data-popper-placement^='top'] > .tooltip-arrow {
    bottom: -4px;
}

[role="tooltip"][data-popper-placement^='bottom'] > .tooltip-arrow {
    top: -4px;

}

[role="tooltip"][data-popper-placement^='left'] > .tooltip-arrow {
    right: -4px;
}

[role="tooltip"][data-popper-placement^='right'] > .tooltip-arrow {
    left: -4px;
}